Supported Platforms

Getting Started

πŸ“˜

HYPR 8.5.0+ Uses Keycloak 1211.1

HYPR version 8.5.0+ uses Keycloak version 21.1.1, and is no longer compatible with earlier versions.

Customers who are running HYPR on-premises must also upgrade Keycloak as part of any HYPR upgrade from earlier versions. HYPR Cloud customers will get the Keycloak upgrade automatically. Regardless of installation type, all customers should plan to thoroughly test any HYPR instances, with an emphasis on deployments which use Intelligent Extensions, rely on custom templates within HYPR or Keycloak, or deploy applications which depend on embedded browser functionality.

Here's what you'll need to run each of the HYPR components:

ComponentSupported Versions
HYPR Control CenterSupported browsers:

Chrome
Firefox
Edge
Safari
HYPR Mobile App (Android)Supported OS versions:

Android 8.0+ to Android 15.x
See the Compatibility Matrix for full details, including device models and future supported and deprecated versions.

Please note that for security reasons the app will immediately terminate without issuing an error if run on a rooted Android device.
HYPR Mobile App (iOS)Supported OS versions:

iOS 12.4+ to iOS 16.x
See the Compatibility Matrix for full details, including device models and future supported and deprecated versions.

Please note that for security reasons the app will immediately terminate without issuing an error if run on a jailbroken iOS device.
HYPR Device ManagerSupported browsers:

Chrome
Firefox
Edge
Safari
HYPR Passwordless (Windows)Supported Windows versions:

Windows 11 Pro
Windows 10 Pro (1607+)

Note that the current onboarding process downloads the 64-bit version. If you need a 32-bit installer, please contact HYPR Support.

Additional Requirements:
See the detailed Requirements for HYPR Passwordless, which are different depending on the type of installation you’re doing (Quick or Advanced).
HYPR Passwordless (Mac)Supported macOS Versions:

14.1 (Sonoma; not 14.0) only for HYPR 8.5.1+
13 (Ventura)
12 (Monterey)
11 (Big Sur)
10.15 (Catalina)
10.14 (Mojave)
10.13 (High Sierra)

Note that Mojave or later is required if you want to use Apple's Touch ID fingerprint recognition

Additional Requirements:
See the detailed Requirements for HYPR Passwordless, which are different depending on the type of installation you’re doing (Quick or Advanced).
Supported FIDO2 Devices
HYPR web authentication is compatible with all FIDO2 Certified devices. The following devices are known to register and authenticate correctly:

Android Authenticator with SafetyNet Attestation
Excelsecu eSecu FIDO2 Security Key
FEITIAN ePass FIDO2 Authenticator
FEITIAN ePass FIDO2-NFC Authenticator
Google Chrome Mac Touchbar
Thetis FIDO2 Security Key
Windows Hello Hardware Authenticator
Windows Hello Software Authenticator
Yubico Security Key (blue)
Yubico YubiKey 5 Series
Yubico YubiKey 5 Series with NFC
Yubico YubiKey 5C
Yubico YubiKey 5Ci FIP
Yubico YubiKey Bio FIDO Edition

Other models may be compatible. Refer to the FIDO Alliance for a comprehensive list.

πŸ“˜

Backward Compatibility

All HYPR components are fully compatible across the three previous/subsequent minor (X.X) HYPR releases.